# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'runify/version'

Gem::Specification.new do |spec|
	spec.name = 'runify'
	spec.version = Runify::VERSION
	spec.authors = ['Eresse']
	spec.email = ['eresse@eresse.net']

	spec.summary = 'Easily turn any object into a service'
	spec.description = 'Provides a very simple interface for any runnable object (responds to \'run\') to be used as a service'
	spec.homepage = 'http://redmine.eresse.net/projects/runify'
	spec.license = 'MIT'

	spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
	spec.require_paths = ['lib']

	spec.add_development_dependency 'bundler'
	spec.add_development_dependency 'rake'
	spec.add_runtime_dependency 'minitest'
end
